import { io } from 'socket.io-client'

const URL = 'http://localhost:3000'

process.env.NODE_ENV === 'production' ? undefined : 'http://localhost:3001'
console.log('URL :>> ', URL)

const socket = URL === undefined ? io() : io(URL)
socket.on('connect', () => {
  console.log('---> connected')
})
socket.onAny((event, msg) => {
  console.log('event :>> ', event)
  console.log('msg :>> ', msg)
})
console.log('help :>> ')
export default {
  socket,
  sendMessage(event: any, data: any) {
    socket.emit(event, data)
  },
  async sendMessageWithAck(event: any, data: any) {
    return await socket.emitWithAck(event, data)
  },
  onMessage(event: any, callback: any) {
    socket.on(event, callback)
  },
  disconnect() {
    socket.disconnect()
  }
}
