import { Sprite, Texture } from 'pixi.js'

export class Tile extends Sprite {
  id: string
  pips: [number, number] | undefined
  selectd: boolean = false

  constructor(id: string, pips?: [number, number]) {
    super()
    this.id = id
    this.anchor.set(0.5)
    this.width = 50
    this.height = 100
    this.pips = pips
    this.texture = this.getTexture()
  }

  private getTexture(): Texture {
    if (this.pips !== undefined) {
      return Texture.from(`tile-${this.pips[1]}_${this.pips[0]}`)
    } else {
      return Texture.from('tile-back')
    }
  }
}
